
Application: gvSIG desktop - gvSIG bugs #2027
Issues with gvsig-desktop.exe (development version - BN2205)
10/10/2013 12:53 PM - Antonio Falciano

Status: Closed % Done: 100%
Priority: High Spent time: 0.00 hour
Assignee:
Category: Application
Target version: 2.1.0-2218-testing
Severity: Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2205 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

After installing gvSIG 2.1.0 BN2205 using the following online installer executable:
http://downloads.gvsig.org/download/gvsig-desktop/dists/2.1.0/builds/2205/gvSIG-desktop-2.1.0-2205-devel-win-x86-online.exe
gvSIG is not executed at all and no gvSIG.log is generated.
More in detail, the installer shows that is installing gvSIG base, then the Addons manager is not shown as usual and the setup ends
prematurely. The desktop icon is blank and points to the gvSIG-desktop.exe correctly. Finally, double clicking on the desktop icon or
the gvSIG-desktop.exe doesn't execute gvSIG at all. 
I have also tried with the zipped version:
http://downloads.gvsig.org/download/gvsig-desktop/dists/2.1.0/builds/2205/gvSIG-desktop-2.1.0-2205-devel-all-x86-online.zip
but gvSIG is not executed again. So the issue seems to depend by gvsig-desktop.exe which doesn't find the JRE.

History
#1 - 10/11/2013 01:06 PM - Antonio Falciano
UPDATE
I tested all the following installers:
    -  gvSIG-desktop-2.1.0-2205-devel-all-x86-online.zip
    -  gvSIG-desktop-2.1.0-2205-devel-win-x86-online.exe
    -  gvSIG-desktop-2.1.0-2205-devel-win-x86-standard-withjre.exe
    -  gvSIG-desktop-2.1.0-2205-devel-win-x86-standard.exe
Final results are:
    -  the Addons Manager is not executed in three exe installers;
    -  gvSIG-desktop.exe is not executed with all the four installers.

That's all. Thanks for your kind attention.

#2 - 10/17/2013 02:25 PM - Manuel Madrid

Hi Antonio.

Thank you very much for this deep testing. We found a bug in the installer of the build 2205. There is a clash between the basic crs and the JCRS
plugins. As a result the installation is corrupted and it is no possible to run gvSIG properly.

As a temporary measure (while we are able to fix the bug) we took the JCRS plugin off the distribution and re-generated the build 2205 selecting the
basic CRS plugin as the default CRS plugin.
We just updated it in the download site so if you want to give it a try, just download it again. We would appreciate any feedback. Just take into account
that re-projection tools are not the usual ones.

Thanks,
Manuel.

#3 - 10/17/2013 04:26 PM - Antonio Falciano
Hi Manuel,
I have tried with the updated installers, but unfortunately the issue persists as described before.
This is the content of the extensiones folder:
    -  jre_6_windows_i586
    -  org.gvsig.app.mainplugin
    -  org.gvsig.coreplugin.app.mainplugin
    -  org.gvsig.i18n.app.mainplugin
    -  org.gvsig.installer.app.mainplugin

Where is the default CRS plugin?

Cheers,
Antonio

#4 - 01/13/2014 09:55 AM - Álvaro Anguix

Can you try with build 2216?
http://downloads.gvsig.org/download/gvsig-desktop/dists/2.1.0/builds/2216/

Thanks!

#5 - 01/13/2014 05:37 PM - Álvaro Anguix
- Category set to Application

#6 - 01/16/2014 12:44 PM - Álvaro Anguix
- Status changed from New to Awaiting response

#7 - 01/16/2014 12:48 PM - Álvaro Anguix
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2221-testing

#8 - 01/27/2014 01:15 PM - Antonio Falciano
- Status changed from Awaiting response to Closed
- % Done changed from 0 to 100

Álvaro Anguix wrote:

Can you try with build 2216?
http://downloads.gvsig.org/download/gvsig-desktop/dists/2.1.0/builds/2216/

I've just tried with the BN 2217 and it works. The issue has been solved, so I close the ticket. Thanks.
#9 - 01/28/2014 01:10 PM - Álvaro Anguix
- Target version changed from 2.1.0-2221-testing to 2.1.0-2218-testing
